# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 0
%endif

%bcond_without examples

# Versioning

%define qtmajor 6
%define qtminor 6
%define qtsubminor 2
%define qtversion  %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir      qthttpserver-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqthttpserver   %mklibname qt%{qtmajor}httpserver %{qtmajor}
%define libqthttpserver_d %mklibname qt%{qtmajor}httpserver -d

Name:           qthttpserver6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} HTTP Server component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

BuildRequires:  qtbase6-devel >= %{version}
BuildRequires:  cmake(Qt6Qml) >= %{version}
BuildRequires:  cmake(Qt6WebSockets) = %{version}
BuildRequires:  ninja
BuildRequires:  qttools6

Provides:       qt%{qtmajor}-qthttpserver = %{version}-%{release}

%description
Qt%{qtmajor} HTTP Server API provides httpserver information via QML
and C++ interfaces.

%files
%license LICENSES/*

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtHttpserver%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtHttpserver%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt6_docdir}/qthttpserver.qch
%{_qt6_docdir}/qthttpserver/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqthttpserver}
Summary:        Qt%{qtmajor} HTTP Server Library
Group:          System/Libraries

%description -n %{libqthttpserver}
Qt%{qtmajor} HTTP Server Component Library.

The HTTP Server module provides httpserver information via QML
and C++ interfaces.

%files -n %{libqthttpserver}
%{_qt6_libdir}/libQt6HttpServer.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqthttpserver_d}
Summary:        Devel files needed to build apps based on Qt Http server
Group:          Development/KDE and Qt
Requires:       qthttpserver6 = %version
Requires:       %{libqthttpserver} = %version
Provides:       libqthttpserver6-devel = %version
Provides:       libqt6httpserver-devel = %version
Provides:       qthttpserver6-devel = %version
Provides:       qt6httpserver-devel = %version

Provides:       libqthttpserver6-private-devel = %version
Provides:       libqt6httpserver-private-devel = %version
Provides:       qthttpserver6-private-devel = %version
Provides:       qt6httpserver-private-devel = %version

%description -n %{libqthttpserver_d}
Devel files needed to build apps based on Qt HTTP Server.

%files -n %{libqthttpserver_d}
%{_qt6_headerdir}/QtHttpServer/
%{_qt6_libdir}/libQt6HttpServer.so
%{_qt6_libdir}/libQt6HttpServer.prl
%{_qt6_libdir}/cmake/Qt6HttpServer/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_httpserver*.pri
%{_qt6_libdir}/qt6/metatypes/qt6*_metatypes.json
%{_qt6_libdir}/qt6/modules/HttpServer*.json
%{_qt6_libdir}/pkgconfig/*.pc
%if %{with examples}
%{_qt6_examplesdir}/httpserver
%endif
#
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtHttpServerTestsConfig.cmake

#------------------------------------------------------------------------------

%prep
%setup -q -n qthttpserver-everywhere-src-%{qtversion}

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}
%cmake_build

%if %{build_docs}
%__make docs
%endif

%install
%cmake_install

%if %{build_docs}
%make_install install_docs
%endif


%changelog
* Thu Feb 15 2024 daviddavid <daviddavid> 6.6.2-1.mga10
+ Revision: 2041626
- New version 6.6.2

* Fri Oct 20 2023 daviddavid <daviddavid> 6.6.0-2.mga10
+ Revision: 1999801
- enable Qt6WebSockets support

* Thu Oct 19 2023 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 1999033
- New version 6.6.0

* Mon Sep 11 2023 neoclust <neoclust> 6.5.2-1.mga10
+ Revision: 1986119
- New version 6.5.2

* Tue Dec 27 2022 daviddavid <daviddavid> 6.4.1-2.mga9
+ Revision: 1927058
- build examples

* Thu Dec 15 2022 neoclust <neoclust> 6.4.1-1.mga9
+ Revision: 1923043
- New version 6.4.1

* Mon Oct 17 2022 papoteur <papoteur> 6.4.0-1.mga9
+ Revision: 1897240
- imported package qthttpserver6

